remodal-default-theme.css 5.6 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323
  1. /*
  2. * Remodal - v1.1.1
  3. * Responsive, lightweight, fast, synchronized with CSS animations, fully customizable modal window plugin with declarative configuration and hash tracking.
  4. * http://vodkabears.github.io/remodal/
  5. *
  6. * Made by Ilya Makarov
  7. * Under MIT License
  8. */
  9. /* ==========================================================================
  10. Remodal's default mobile first theme
  11. ========================================================================== */
  12. /* Default theme styles for the background */
  13. .remodal-bg.remodal-is-opening,
  14. .remodal-bg.remodal-is-opened {
  15. -webkit-filter: blur(3px);
  16. filter: blur(3px);
  17. }
  18. /* Default theme styles of the overlay */
  19. .remodal-overlay {
  20. background: rgba(43, 46, 56, 0.9);
  21. }
  22. .remodal-overlay.remodal-is-opening,
  23. .remodal-overlay.remodal-is-closing {
  24. -webkit-animation-duration: 0.3s;
  25. animation-duration: 0.3s;
  26. -webkit-animation-fill-mode: forwards;
  27. animation-fill-mode: forwards;
  28. }
  29. .remodal-overlay.remodal-is-opening {
  30. -webkit-animation-name: remodal-overlay-opening-keyframes;
  31. animation-name: remodal-overlay-opening-keyframes;
  32. }
  33. .remodal-overlay.remodal-is-closing {
  34. -webkit-animation-name: remodal-overlay-closing-keyframes;
  35. animation-name: remodal-overlay-closing-keyframes;
  36. }
  37. /* Default theme styles of the wrapper */
  38. .remodal-wrapper {
  39. padding: 10px 10px 0;
  40. }
  41. /* Default theme styles of the modal dialog */
  42. .remodal {
  43. box-sizing: border-box;
  44. width: 100%;
  45. margin-bottom: 10px;
  46. padding: 35px;
  47. -webkit-transform: translate3d(0, 0, 0);
  48. transform: translate3d(0, 0, 0);
  49. color: #2b2e38;
  50. background: #fff;
  51. }
  52. .remodal.remodal-is-opening,
  53. .remodal.remodal-is-closing {
  54. -webkit-animation-duration: 0.3s;
  55. animation-duration: 0.3s;
  56. -webkit-animation-fill-mode: forwards;
  57. animation-fill-mode: forwards;
  58. }
  59. .remodal.remodal-is-opening {
  60. -webkit-animation-name: remodal-opening-keyframes;
  61. animation-name: remodal-opening-keyframes;
  62. }
  63. .remodal.remodal-is-closing {
  64. -webkit-animation-name: remodal-closing-keyframes;
  65. animation-name: remodal-closing-keyframes;
  66. }
  67. /* Vertical align of the modal dialog */
  68. .remodal,
  69. .remodal-wrapper:after {
  70. vertical-align: middle;
  71. }
  72. /* Close button */
  73. .remodal-close {
  74. position: absolute;
  75. top: 0;
  76. left: 0;
  77. display: block;
  78. overflow: visible;
  79. width: 35px;
  80. height: 35px;
  81. margin: 0;
  82. padding: 0;
  83. cursor: pointer;
  84. -webkit-transition: color 0.2s;
  85. transition: color 0.2s;
  86. text-decoration: none;
  87. color: #95979c;
  88. border: 0;
  89. outline: 0;
  90. background: transparent;
  91. }
  92. .remodal-close:hover,
  93. .remodal-close:focus {
  94. color: #2b2e38;
  95. }
  96. .remodal-close:before {
  97. font-family: Arial, "Helvetica CY", "Nimbus Sans L", sans-serif !important;
  98. font-size: 25px;
  99. line-height: 35px;
  100. position: absolute;
  101. top: 0;
  102. left: 0;
  103. display: block;
  104. width: 35px;
  105. content: "\00d7";
  106. text-align: center;
  107. }
  108. /* Dialog buttons */
  109. .remodal-confirm,
  110. .remodal-cancel {
  111. font: inherit;
  112. display: inline-block;
  113. overflow: visible;
  114. min-width: 110px;
  115. margin: 0;
  116. padding: 12px 0;
  117. cursor: pointer;
  118. -webkit-transition: background 0.2s;
  119. transition: background 0.2s;
  120. text-align: center;
  121. vertical-align: middle;
  122. text-decoration: none;
  123. border: 0;
  124. outline: 0;
  125. }
  126. .remodal-confirm {
  127. color: #fff;
  128. background: #81c784;
  129. }
  130. .remodal-confirm:hover,
  131. .remodal-confirm:focus {
  132. background: #66bb6a;
  133. }
  134. .remodal-cancel {
  135. color: #fff;
  136. background: #e57373;
  137. }
  138. .remodal-cancel:hover,
  139. .remodal-cancel:focus {
  140. background: #ef5350;
  141. }
  142. /* Remove inner padding and border in Firefox 4+ for the button tag. */
  143. .remodal-confirm::-moz-focus-inner,
  144. .remodal-cancel::-moz-focus-inner,
  145. .remodal-close::-moz-focus-inner {
  146. padding: 0;
  147. border: 0;
  148. }
  149. /* Keyframes
  150. ========================================================================== */
  151. @-webkit-keyframes remodal-opening-keyframes {
  152. from {
  153. -webkit-transform: scale(1.05);
  154. transform: scale(1.05);
  155. opacity: 0;
  156. }
  157. to {
  158. -webkit-transform: none;
  159. transform: none;
  160. opacity: 1;
  161. -webkit-filter: blur(0);
  162. filter: blur(0);
  163. }
  164. }
  165. @keyframes remodal-opening-keyframes {
  166. from {
  167. -webkit-transform: scale(1.05);
  168. transform: scale(1.05);
  169. opacity: 0;
  170. }
  171. to {
  172. -webkit-transform: none;
  173. transform: none;
  174. opacity: 1;
  175. -webkit-filter: blur(0);
  176. filter: blur(0);
  177. }
  178. }
  179. @-webkit-keyframes remodal-closing-keyframes {
  180. from {
  181. -webkit-transform: scale(1);
  182. transform: scale(1);
  183. opacity: 1;
  184. }
  185. to {
  186. -webkit-transform: scale(0.95);
  187. transform: scale(0.95);
  188. opacity: 0;
  189. -webkit-filter: blur(0);
  190. filter: blur(0);
  191. }
  192. }
  193. @keyframes remodal-closing-keyframes {
  194. from {
  195. -webkit-transform: scale(1);
  196. transform: scale(1);
  197. opacity: 1;
  198. }
  199. to {
  200. -webkit-transform: scale(0.95);
  201. transform: scale(0.95);
  202. opacity: 0;
  203. -webkit-filter: blur(0);
  204. filter: blur(0);
  205. }
  206. }
  207. @-webkit-keyframes remodal-overlay-opening-keyframes {
  208. from {
  209. opacity: 0;
  210. }
  211. to {
  212. opacity: 1;
  213. }
  214. }
  215. @keyframes remodal-overlay-opening-keyframes {
  216. from {
  217. opacity: 0;
  218. }
  219. to {
  220. opacity: 1;
  221. }
  222. }
  223. @-webkit-keyframes remodal-overlay-closing-keyframes {
  224. from {
  225. opacity: 1;
  226. }
  227. to {
  228. opacity: 0;
  229. }
  230. }
  231. @keyframes remodal-overlay-closing-keyframes {
  232. from {
  233. opacity: 1;
  234. }
  235. to {
  236. opacity: 0;
  237. }
  238. }
  239. /* Media queries
  240. ========================================================================== */
  241. @media only screen and (min-width: 641px) {
  242. .remodal {
  243. max-width: 700px;
  244. }
  245. }
  246. /* IE8
  247. ========================================================================== */
  248. .lt-ie9 .remodal-overlay {
  249. background: #2b2e38;
  250. }
  251. .lt-ie9 .remodal {
  252. width: 700px;
  253. }